# Uses of Class
java.lang.module.ModuleDescriptor.Requires

Packages that use ModuleDescriptor.Requires
Package
Description
java.lang.module
Classes to support module descriptors and creating configurations of modules by means of resolution and service binding.

## Uses of ModuleDescriptor.Requires in java.lang.module

Methods in java.lang.module that return types with arguments of type ModuleDescriptor.Requires
Modifier and Type
Method
Description
`Set<ModuleDescriptor.Requires>`
ModuleDescriptor.`requires()`
Returns the set of `Requires` objects representing the module dependences.
Methods in java.lang.module with parameters of type ModuleDescriptor.Requires
Modifier and Type
Method
Description
`int`
ModuleDescriptor.Requires.`compareTo​(ModuleDescriptor.Requires that)`
Compares this module dependence to another.
`ModuleDescriptor.Builder`
ModuleDescriptor.Builder.`requires​(ModuleDescriptor.Requires req)`
Adds a dependence on a module.